Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.util
Class DoublyIndexedSet

    java.lang.Object
      org.apache.batik.util.DoublyIndexedSet

    public class DoublyIndexedSet

extends Object

A set that uses two keys.

Field Summary
`protected DoublyIndexedTable` | `table` The table to store entries.
`protected static Object` | `value` Dummy value object for the table.

Constructor Summary
`DoublyIndexedSet()`

Method Summary
`void` | `add(Object o1, Object o2)` Adds an entry to the set.
`void` | `clear()` Clears the set.
`boolean` | `contains(Object o1, Object o2)` Returns whether the given keys are in the set.
`void` | `remove(Object o1, Object o2)` Removes an entry from the set.
`int` | `size()` Returns the number of entries in the set.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### table

    protected DoublyIndexedTable table

  The table to store entries.

### value

    protected static Object value

  Dummy value object for the table.

Constructor Detail

### DoublyIndexedSet

    public DoublyIndexedSet()

Method Detail

### size

    public int size()

  Returns the number of entries in the set.

### add

    public void add(Object o1,
                    Object o2)

  Adds an entry to the set.

### remove

    public void remove(Object o1,
                       Object o2)

  Removes an entry from the set.

### contains

    public boolean contains(Object o1,
                            Object o2)

  Returns whether the given keys are in the set.

### clear

    public void clear()

  Clears the set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.